aboutsummaryrefslogtreecommitdiffstats
path: root/target
diff options
context:
space:
mode:
authorEugene Konev <ejka@imfi.kspu.ru>2007-10-10 06:20:25 +0000
committerEugene Konev <ejka@imfi.kspu.ru>2007-10-10 06:20:25 +0000
commit72f5fa6b928901b03d3e07c5e3c82f024244019f (patch)
tree1a23194815fe641571a17a2b0fa02b15e3895acb /target
parente7fb9324047193d4045567521e5a14e88da2a06f (diff)
downloadupstream-72f5fa6b928901b03d3e07c5e3c82f024244019f.tar.gz
upstream-72f5fa6b928901b03d3e07c5e3c82f024244019f.tar.bz2
upstream-72f5fa6b928901b03d3e07c5e3c82f024244019f.zip
sync for 2.6.23-final
SVN-Revision: 9234
Diffstat (limited to 'target')
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/001-squashfs.patch81
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/002-lzma_decompress.patch18
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/006-gcc4_inline_fix.patch8
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/012-mips_cpu_tlb.patch10
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/150-netfilter_imq.patch86
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/170-netfilter_chaostables.patch52
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/208-rtl8110sb_fix.patch8
-rw-r--r--target/linux/generic-2.6/patches-2.6.23/209-mini_fo.patch82
8 files changed, 178 insertions, 167 deletions
diff --git a/target/linux/generic-2.6/patches-2.6.23/001-squashfs.patch b/target/linux/generic-2.6/patches-2.6.23/001-squashfs.patch
index 9dcc57ed4d..74321331a8 100644
--- a/target/linux/generic-2.6/patches-2.6.23/001-squashfs.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/001-squashfs.patch
@@ -1,7 +1,8 @@
-diff -urN linux-2.6.22.4/fs/Kconfig linux-2.6.22.4-squashfs/fs/Kconfig
---- linux-2.6.22.4/fs/Kconfig 2007-08-21 06:33:06.000000000 +0200
-+++ linux-2.6.22.4-squashfs/fs/Kconfig 2007-09-20 19:13:44.000000000 +0200
-@@ -1367,6 +1367,71 @@
+Index: linux-2.6.23/fs/Kconfig
+===================================================================
+--- linux-2.6.23.orig/fs/Kconfig 2007-10-10 13:52:12.000000000 +0800
++++ linux-2.6.23/fs/Kconfig 2007-10-10 13:52:14.000000000 +0800
+@@ -1364,6 +1364,71 @@
If unsure, say N.
@@ -73,9 +74,10 @@ diff -urN linux-2.6.22.4/fs/Kconfig linux-2.6.22.4-squashfs/fs/Kconfig
config VXFS_FS
tristate "FreeVxFS file system support (VERITAS VxFS(TM) compatible)"
depends on BLOCK
-diff -urN linux-2.6.22.4/fs/Makefile linux-2.6.22.4-squashfs/fs/Makefile
---- linux-2.6.22.4/fs/Makefile 2007-08-21 06:33:06.000000000 +0200
-+++ linux-2.6.22.4-squashfs/fs/Makefile 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/fs/Makefile
+===================================================================
+--- linux-2.6.23.orig/fs/Makefile 2007-10-10 13:52:12.000000000 +0800
++++ linux-2.6.23/fs/Makefile 2007-10-10 13:52:14.000000000 +0800
@@ -72,6 +72,7 @@
obj-$(CONFIG_JBD2) += jbd2/
obj-$(CONFIG_EXT2_FS) += ext2/
@@ -84,9 +86,10 @@ diff -urN linux-2.6.22.4/fs/Makefile linux-2.6.22.4-squashfs/fs/Makefile
obj-$(CONFIG_RAMFS) += ramfs/
obj-$(CONFIG_HUGETLBFS) += hugetlbfs/
obj-$(CONFIG_CODA_FS) += coda/
-diff -urN linux-2.6.22.4/fs/squashfs/inode.c linux-2.6.22.4-squashfs/fs/squashfs/inode.c
---- linux-2.6.22.4/fs/squashfs/inode.c 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/fs/squashfs/inode.c 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/fs/squashfs/inode.c
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/fs/squashfs/inode.c 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,2122 @@
+/*
+ * Squashfs - a compressed read only filesystem for Linux
@@ -2210,9 +2213,10 @@ diff -urN linux-2.6.22.4/fs/squashfs/inode.c linux-2.6.22.4-squashfs/fs/squashfs
+MODULE_DESCRIPTION("squashfs, a compressed read-only filesystem");
+MODULE_AUTHOR("Phillip Lougher <phillip@lougher.org.uk>");
+MODULE_LICENSE("GPL");
-diff -urN linux-2.6.22.4/fs/squashfs/Makefile linux-2.6.22.4-squashfs/fs/squashfs/Makefile
---- linux-2.6.22.4/fs/squashfs/Makefile 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/fs/squashfs/Makefile 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/fs/squashfs/Makefile
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/fs/squashfs/Makefile 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,7 @@
+#
+# Makefile for the linux squashfs routines.
@@ -2221,9 +2225,10 @@ diff -urN linux-2.6.22.4/fs/squashfs/Makefile linux-2.6.22.4-squashfs/fs/squashf
+obj-$(CONFIG_SQUASHFS) += squashfs.o
+squashfs-y += inode.o
+squashfs-y += squashfs2_0.o
-diff -urN linux-2.6.22.4/fs/squashfs/squashfs2_0.c linux-2.6.22.4-squashfs/fs/squashfs/squashfs2_0.c
---- linux-2.6.22.4/fs/squashfs/squashfs2_0.c 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/fs/squashfs/squashfs2_0.c 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/fs/squashfs/squashfs2_0.c
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/fs/squashfs/squashfs2_0.c 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,758 @@
+/*
+ * Squashfs - a compressed read only filesystem for Linux
@@ -2983,9 +2988,10 @@ diff -urN linux-2.6.22.4/fs/squashfs/squashfs2_0.c linux-2.6.22.4-squashfs/fs/sq
+
+ return 1;
+}
-diff -urN linux-2.6.22.4/fs/squashfs/squashfs.h linux-2.6.22.4-squashfs/fs/squashfs/squashfs.h
---- linux-2.6.22.4/fs/squashfs/squashfs.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/fs/squashfs/squashfs.h 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/fs/squashfs/squashfs.h
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/fs/squashfs/squashfs.h 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,86 @@
+/*
+ * Squashfs - a compressed read only filesystem for Linux
@@ -3073,10 +3079,11 @@ diff -urN linux-2.6.22.4/fs/squashfs/squashfs.h linux-2.6.22.4-squashfs/fs/squas
+ return 0;
+}
+#endif
-diff -urN linux-2.6.22.4/include/linux/magic.h linux-2.6.22.4-squashfs/include/linux/magic.h
---- linux-2.6.22.4/include/linux/magic.h 2007-08-21 06:33:06.000000000 +0200
-+++ linux-2.6.22.4-squashfs/include/linux/magic.h 2007-09-20 19:15:43.000000000 +0200
-@@ -36,6 +36,9 @@
+Index: linux-2.6.23/include/linux/magic.h
+===================================================================
+--- linux-2.6.23.orig/include/linux/magic.h 2007-10-10 13:52:12.000000000 +0800
++++ linux-2.6.23/include/linux/magic.h 2007-10-10 13:52:14.000000000 +0800
+@@ -35,6 +35,9 @@
#define REISER2FS_SUPER_MAGIC_STRING "ReIsEr2Fs"
#define REISER2FS_JR_SUPER_MAGIC_STRING "ReIsEr3Fs"
@@ -3086,9 +3093,10 @@ diff -urN linux-2.6.22.4/include/linux/magic.h linux-2.6.22.4-squashfs/include/l
#define SMB_SUPER_MAGIC 0x517B
#define USBDEVICE_SUPER_MAGIC 0x9fa2
-diff -urN linux-2.6.22.4/include/linux/squashfs_fs.h linux-2.6.22.4-squashfs/include/linux/squashfs_fs.h
---- linux-2.6.22.4/include/linux/squashfs_fs.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/include/linux/squashfs_fs.h 2007-09-20 19:15:01.000000000 +0200
+Index: linux-2.6.23/include/linux/squashfs_fs.h
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/include/linux/squashfs_fs.h 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,911 @@
+#ifndef SQUASHFS_FS
+#define SQUASHFS_FS
@@ -4001,9 +4009,10 @@ diff -urN linux-2.6.22.4/include/linux/squashfs_fs.h linux-2.6.22.4-squashfs/inc
+
+#endif
+#endif
-diff -urN linux-2.6.22.4/include/linux/squashfs_fs_i.h linux-2.6.22.4-squashfs/include/linux/squashfs_fs_i.h
---- linux-2.6.22.4/include/linux/squashfs_fs_i.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/include/linux/squashfs_fs_i.h 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/include/linux/squashfs_fs_i.h
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/include/linux/squashfs_fs_i.h 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,45 @@
+#ifndef SQUASHFS_FS_I
+#define SQUASHFS_FS_I
@@ -4050,9 +4059,10 @@ diff -urN linux-2.6.22.4/include/linux/squashfs_fs_i.h linux-2.6.22.4-squashfs/i
+ struct inode vfs_inode;
+};
+#endif
-diff -urN linux-2.6.22.4/include/linux/squashfs_fs_sb.h linux-2.6.22.4-squashfs/include/linux/squashfs_fs_sb.h
---- linux-2.6.22.4/include/linux/squashfs_fs_sb.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.22.4-squashfs/include/linux/squashfs_fs_sb.h 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/include/linux/squashfs_fs_sb.h
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ linux-2.6.23/include/linux/squashfs_fs_sb.h 2007-10-10 13:52:14.000000000 +0800
@@ -0,0 +1,74 @@
+#ifndef SQUASHFS_FS_SB
+#define SQUASHFS_FS_SB
@@ -4128,9 +4138,10 @@ diff -urN linux-2.6.22.4/include/linux/squashfs_fs_sb.h linux-2.6.22.4-squashfs/
+ int (*read_fragment_index_table)(struct super_block *s);
+};
+#endif
-diff -urN linux-2.6.22.4/init/do_mounts_rd.c linux-2.6.22.4-squashfs/init/do_mounts_rd.c
---- linux-2.6.22.4/init/do_mounts_rd.c 2007-08-21 06:33:06.000000000 +0200
-+++ linux-2.6.22.4-squashfs/init/do_mounts_rd.c 2007-09-20 19:13:44.000000000 +0200
+Index: linux-2.6.23/init/do_mounts_rd.c
+===================================================================
+--- linux-2.6.23.orig/init/do_mounts_rd.c 2007-10-10 13:52:12.000000000 +0800
++++ linux-2.6.23/init/do_mounts_rd.c 2007-10-10 13:52:14.000000000 +0800
@@ -5,6 +5,7 @@
#include <linux/ext2_fs.h>
#include <linux/romfs_fs.h>
diff --git a/target/linux/generic-2.6/patches-2.6.23/002-lzma_decompress.patch b/target/linux/generic-2.6/patches-2.6.23/002-lzma_decompress.patch
index f31f18cd8c..3d98ffeacb 100644
--- a/target/linux/generic-2.6/patches-2.6.23/002-lzma_decompress.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/002-lzma_decompress.patch
@@ -1,7 +1,7 @@
-Index: linux-2.6.23-rc6/include/linux/LzmaDecode.h
+Index: linux-2.6.23/include/linux/LzmaDecode.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/LzmaDecode.h 2007-09-21 16:23:55.000000000 +0800
++++ linux-2.6.23/include/linux/LzmaDecode.h 2007-10-10 13:51:27.000000000 +0800
@@ -0,0 +1,100 @@
+/*
+ LzmaDecode.h
@@ -103,10 +103,10 @@ Index: linux-2.6.23-rc6/include/linux/LzmaDecode.h
+ UInt32 *outSizeProcessed);
+
+#endif
-Index: linux-2.6.23-rc6/lib/LzmaDecode.c
+Index: linux-2.6.23/lib/LzmaDecode.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/lib/LzmaDecode.c 2007-09-21 16:23:55.000000000 +0800
++++ linux-2.6.23/lib/LzmaDecode.c 2007-10-10 13:51:27.000000000 +0800
@@ -0,0 +1,663 @@
+/*
+ LzmaDecode.c
@@ -771,16 +771,16 @@ Index: linux-2.6.23-rc6/lib/LzmaDecode.c
+ *outSizeProcessed = nowPos;
+ return LZMA_RESULT_OK;
+}
-Index: linux-2.6.23-rc6/lib/Makefile
+Index: linux-2.6.23/lib/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/lib/Makefile 2007-09-21 16:23:55.000000000 +0800
-+++ linux-2.6.23-rc6/lib/Makefile 2007-09-21 16:23:55.000000000 +0800
+--- linux-2.6.23.orig/lib/Makefile 2007-10-10 13:50:24.000000000 +0800
++++ linux-2.6.23/lib/Makefile 2007-10-10 13:51:53.000000000 +0800
@@ -13,7 +13,7 @@
lib-y += kobject.o kref.o kobject_uevent.o klist.o
obj-y += div64.o sort.o parser.o halfmd4.o debug_locks.o random32.o \
-- bust_spinlocks.o hexdump.o
-+ bust_spinlocks.o hexdump.o LzmaDecode.o
+- bust_spinlocks.o hexdump.o kasprintf.o
++ bust_spinlocks.o hexdump.o kasprintf.o LzmaDecode.o
ifeq ($(CONFIG_DEBUG_KOBJECT),y)
CFLAGS_kobject.o += -DDEBUG
diff --git a/target/linux/generic-2.6/patches-2.6.23/006-gcc4_inline_fix.patch b/target/linux/generic-2.6/patches-2.6.23/006-gcc4_inline_fix.patch
index cacbb5040e..704fc752df 100644
--- a/target/linux/generic-2.6/patches-2.6.23/006-gcc4_inline_fix.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/006-gcc4_inline_fix.patch
@@ -1,8 +1,8 @@
-Index: linux-2.6.23-rc6/include/asm-mips/system.h
+Index: linux-2.6.23/include/asm-mips/system.h
===================================================================
---- linux-2.6.23-rc6.orig/include/asm-mips/system.h 2007-09-21 16:23:54.000000000 +0800
-+++ linux-2.6.23-rc6/include/asm-mips/system.h 2007-09-21 16:23:57.000000000 +0800
-@@ -180,7 +180,7 @@
+--- linux-2.6.23.orig/include/asm-mips/system.h 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/include/asm-mips/system.h 2007-10-10 13:52:24.000000000 +0800
+@@ -181,7 +181,7 @@
if something tries to do an invalid xchg(). */
extern void __xchg_called_with_bad_pointer(void);
diff --git a/target/linux/generic-2.6/patches-2.6.23/012-mips_cpu_tlb.patch b/target/linux/generic-2.6/patches-2.6.23/012-mips_cpu_tlb.patch
index ab7f0dd79d..eea10c1b09 100644
--- a/target/linux/generic-2.6/patches-2.6.23/012-mips_cpu_tlb.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/012-mips_cpu_tlb.patch
@@ -1,8 +1,8 @@
-Index: linux-2.6.23-rc6/arch/mips/mm/tlbex.c
+Index: linux-2.6.23/arch/mips/mm/tlbex.c
===================================================================
---- linux-2.6.23-rc6.orig/arch/mips/mm/tlbex.c 2007-09-21 16:23:54.000000000 +0800
-+++ linux-2.6.23-rc6/arch/mips/mm/tlbex.c 2007-09-21 16:23:58.000000000 +0800
-@@ -887,7 +887,6 @@
+--- linux-2.6.23.orig/arch/mips/mm/tlbex.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/arch/mips/mm/tlbex.c 2007-10-10 13:52:34.000000000 +0800
+@@ -902,7 +902,6 @@
case CPU_R10000:
case CPU_R12000:
case CPU_R14000:
@@ -10,7 +10,7 @@ Index: linux-2.6.23-rc6/arch/mips/mm/tlbex.c
case CPU_SB1:
case CPU_SB1A:
case CPU_4KSC:
-@@ -916,6 +915,7 @@
+@@ -933,6 +932,7 @@
tlbw(p);
break;
diff --git a/target/linux/generic-2.6/patches-2.6.23/150-netfilter_imq.patch b/target/linux/generic-2.6/patches-2.6.23/150-netfilter_imq.patch
index 4827d13157..12c36e1bdc 100644
--- a/target/linux/generic-2.6/patches-2.6.23/150-netfilter_imq.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/150-netfilter_imq.patch
@@ -1,7 +1,7 @@
-Index: linux-2.6.23-rc6/drivers/net/imq.c
+Index: linux-2.6.23/drivers/net/imq.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/drivers/net/imq.c 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/drivers/net/imq.c 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,402 @@
+/*
+ * Pseudo-driver for the intermediate queue device.
@@ -405,10 +405,10 @@ Index: linux-2.6.23-rc6/drivers/net/imq.c
+MODULE_AUTHOR("http://www.linuximq.net");
+MODULE_DESCRIPTION("Pseudo-driver for the intermediate queue device. See http://www.linuximq.net/ for more information.");
+MODULE_LICENSE("GPL");
-Index: linux-2.6.23-rc6/drivers/net/Kconfig
+Index: linux-2.6.23/drivers/net/Kconfig
===================================================================
---- linux-2.6.23-rc6.orig/drivers/net/Kconfig 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/drivers/net/Kconfig 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/drivers/net/Kconfig 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/drivers/net/Kconfig 2007-10-10 13:52:54.000000000 +0800
@@ -112,6 +112,129 @@
To compile this driver as a module, choose M here: the module
will be called eql. If unsure, say N.
@@ -539,11 +539,11 @@ Index: linux-2.6.23-rc6/drivers/net/Kconfig
config TUN
tristate "Universal TUN/TAP device driver support"
select CRC32
-Index: linux-2.6.23-rc6/drivers/net/Makefile
+Index: linux-2.6.23/drivers/net/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/drivers/net/Makefile 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/drivers/net/Makefile 2007-09-21 16:24:02.000000000 +0800
-@@ -130,6 +130,7 @@
+--- linux-2.6.23.orig/drivers/net/Makefile 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/drivers/net/Makefile 2007-10-10 13:52:54.000000000 +0800
+@@ -131,6 +131,7 @@
obj-$(CONFIG_XEN_NETDEV_FRONTEND) += xen-netfront.o
obj-$(CONFIG_DUMMY) += dummy.o
@@ -551,10 +551,10 @@ Index: linux-2.6.23-rc6/drivers/net/Makefile
obj-$(CONFIG_IFB) += ifb.o
obj-$(CONFIG_MACVLAN) += macvlan.o
obj-$(CONFIG_DE600) += de600.o
-Index: linux-2.6.23-rc6/include/linux/imq.h
+Index: linux-2.6.23/include/linux/imq.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/imq.h 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/include/linux/imq.h 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,9 @@
+#ifndef _IMQ_H
+#define _IMQ_H
@@ -565,10 +565,10 @@ Index: linux-2.6.23-rc6/include/linux/imq.h
+#define IMQ_F_ENQUEUE 0x80
+
+#endif /* _IMQ_H */
-Index: linux-2.6.23-rc6/include/linux/netfilter_ipv4/ipt_IMQ.h
+Index: linux-2.6.23/include/linux/netfilter_ipv4/ipt_IMQ.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter_ipv4/ipt_IMQ.h 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter_ipv4/ipt_IMQ.h 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,8 @@
+#ifndef _IPT_IMQ_H
+#define _IPT_IMQ_H
@@ -578,10 +578,10 @@ Index: linux-2.6.23-rc6/include/linux/netfilter_ipv4/ipt_IMQ.h
+};
+
+#endif /* _IPT_IMQ_H */
-Index: linux-2.6.23-rc6/include/linux/netfilter_ipv6/ip6t_IMQ.h
+Index: linux-2.6.23/include/linux/netfilter_ipv6/ip6t_IMQ.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter_ipv6/ip6t_IMQ.h 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter_ipv6/ip6t_IMQ.h 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,8 @@
+#ifndef _IP6T_IMQ_H
+#define _IP6T_IMQ_H
@@ -591,10 +591,10 @@ Index: linux-2.6.23-rc6/include/linux/netfilter_ipv6/ip6t_IMQ.h
+};
+
+#endif /* _IP6T_IMQ_H */
-Index: linux-2.6.23-rc6/include/linux/skbuff.h
+Index: linux-2.6.23/include/linux/skbuff.h
===================================================================
---- linux-2.6.23-rc6.orig/include/linux/skbuff.h 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/include/linux/skbuff.h 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/include/linux/skbuff.h 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/include/linux/skbuff.h 2007-10-10 13:52:54.000000000 +0800
@@ -296,6 +296,10 @@
struct nf_conntrack *nfct;
struct sk_buff *nfct_reasm;
@@ -606,10 +606,10 @@ Index: linux-2.6.23-rc6/include/linux/skbuff.h
#ifdef CONFIG_BRIDGE_NETFILTER
struct nf_bridge_info *nf_bridge;
#endif
-Index: linux-2.6.23-rc6/net/core/dev.c
+Index: linux-2.6.23/net/core/dev.c
===================================================================
---- linux-2.6.23-rc6.orig/net/core/dev.c 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/core/dev.c 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/core/dev.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/core/dev.c 2007-10-10 13:52:54.000000000 +0800
@@ -94,6 +94,9 @@
#include <linux/skbuff.h>
#include <net/sock.h>
@@ -630,10 +630,10 @@ Index: linux-2.6.23-rc6/net/core/dev.c
dev_queue_xmit_nit(skb, dev);
if (netif_needs_gso(dev, skb)) {
-Index: linux-2.6.23-rc6/net/core/skbuff.c
+Index: linux-2.6.23/net/core/skbuff.c
===================================================================
---- linux-2.6.23-rc6.orig/net/core/skbuff.c 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/core/skbuff.c 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/core/skbuff.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/core/skbuff.c 2007-10-10 13:52:54.000000000 +0800
@@ -421,6 +421,10 @@
C(ip_summed);
skb_copy_queue_mapping(n, skb);
@@ -656,10 +656,10 @@ Index: linux-2.6.23-rc6/net/core/skbuff.c
#ifdef CONFIG_NET_SCHED
#ifdef CONFIG_NET_CLS_ACT
new->tc_verd = old->tc_verd;
-Index: linux-2.6.23-rc6/net/ipv4/netfilter/ipt_IMQ.c
+Index: linux-2.6.23/net/ipv4/netfilter/ipt_IMQ.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/ipv4/netfilter/ipt_IMQ.c 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/net/ipv4/netfilter/ipt_IMQ.c 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,69 @@
+/*
+ * This target marks packets to be enqueued to an imq device
@@ -730,10 +730,10 @@ Index: linux-2.6.23-rc6/net/ipv4/netfilter/ipt_IMQ.c
+MODULE_AUTHOR("http://www.linuximq.net");
+MODULE_DESCRIPTION("Pseudo-driver for the intermediate queue device. See http://www.linuximq.net/ for more information.");
+MODULE_LICENSE("GPL");
-Index: linux-2.6.23-rc6/net/ipv4/netfilter/Kconfig
+Index: linux-2.6.23/net/ipv4/netfilter/Kconfig
===================================================================
---- linux-2.6.23-rc6.orig/net/ipv4/netfilter/Kconfig 2007-09-21 16:24:02.000000000 +0800
-+++ linux-2.6.23-rc6/net/ipv4/netfilter/Kconfig 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/ipv4/netfilter/Kconfig 2007-10-10 13:52:53.000000000 +0800
++++ linux-2.6.23/net/ipv4/netfilter/Kconfig 2007-10-10 13:52:54.000000000 +0800
@@ -351,6 +351,17 @@
To compile it as a module, choose M here. If unsure, say N.
@@ -752,10 +752,10 @@ Index: linux-2.6.23-rc6/net/ipv4/netfilter/Kconfig
config IP_NF_TARGET_TOS
tristate "TOS target support"
depends on IP_NF_MANGLE
-Index: linux-2.6.23-rc6/net/ipv4/netfilter/Makefile
+Index: linux-2.6.23/net/ipv4/netfilter/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/net/ipv4/netfilter/Makefile 2007-09-21 16:24:02.000000000 +0800
-+++ linux-2.6.23-rc6/net/ipv4/netfilter/Makefile 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/ipv4/netfilter/Makefile 2007-10-10 13:52:53.000000000 +0800
++++ linux-2.6.23/net/ipv4/netfilter/Makefile 2007-10-10 13:52:54.000000000 +0800
@@ -58,6 +58,7 @@
obj-$(CONFIG_IP_NF_TARGET_REJECT) += ipt_REJECT.o
obj-$(CONFIG_IP_NF_TARGET_TOS) += ipt_TOS.o
@@ -764,10 +764,10 @@ Index: linux-2.6.23-rc6/net/ipv4/netfilter/Makefile
obj-$(CONFIG_IP_NF_TARGET_MASQUERADE) += ipt_MASQUERADE.o
obj-$(CONFIG_IP_NF_TARGET_REDIRECT) += ipt_REDIRECT.o
obj-$(CONFIG_IP_NF_TARGET_NETMAP) += ipt_NETMAP.o
-Index: linux-2.6.23-rc6/net/ipv6/netfilter/ip6t_IMQ.c
+Index: linux-2.6.23/net/ipv6/netfilter/ip6t_IMQ.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/ipv6/netfilter/ip6t_IMQ.c 2007-09-21 16:24:02.000000000 +0800
++++ linux-2.6.23/net/ipv6/netfilter/ip6t_IMQ.c 2007-10-10 13:52:54.000000000 +0800
@@ -0,0 +1,69 @@
+/*
+ * This target marks packets to be enqueued to an imq device
@@ -838,10 +838,10 @@ Index: linux-2.6.23-rc6/net/ipv6/netfilter/ip6t_IMQ.c
+MODULE_AUTHOR("http://www.linuximq.net");
+MODULE_DESCRIPTION("Pseudo-driver for the intermediate queue device. See http://www.linuximq.net/ for more information.");
+MODULE_LICENSE("GPL");
-Index: linux-2.6.23-rc6/net/ipv6/netfilter/Kconfig
+Index: linux-2.6.23/net/ipv6/netfilter/Kconfig
===================================================================
---- linux-2.6.23-rc6.orig/net/ipv6/netfilter/Kconfig 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/ipv6/netfilter/Kconfig 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/ipv6/netfilter/Kconfig 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/ipv6/netfilter/Kconfig 2007-10-10 13:52:54.000000000 +0800
@@ -173,6 +173,15 @@
To compile it as a module, choose M here. If unsure, say N.
@@ -858,10 +858,10 @@ Index: linux-2.6.23-rc6/net/ipv6/netfilter/Kconfig
config IP6_NF_TARGET_HL
tristate 'HL (hoplimit) target support'
depends on IP6_NF_MANGLE
-Index: linux-2.6.23-rc6/net/ipv6/netfilter/Makefile
+Index: linux-2.6.23/net/ipv6/netfilter/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/net/ipv6/netfilter/Makefile 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/ipv6/netfilter/Makefile 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/ipv6/netfilter/Makefile 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/ipv6/netfilter/Makefile 2007-10-10 13:52:54.000000000 +0800
@@ -13,6 +13,7 @@
obj-$(CONFIG_IP6_NF_MATCH_OWNER) += ip6t_owner.o
obj-$(CONFIG_IP6_NF_FILTER) += ip6table_filter.o
@@ -870,10 +870,10 @@ Index: linux-2.6.23-rc6/net/ipv6/netfilter/Makefile
obj-$(CONFIG_IP6_NF_TARGET_HL) += ip6t_HL.o
obj-$(CONFIG_IP6_NF_QUEUE) += ip6_queue.o
obj-$(CONFIG_IP6_NF_TARGET_LOG) += ip6t_LOG.o
-Index: linux-2.6.23-rc6/net/sched/sch_generic.c
+Index: linux-2.6.23/net/sched/sch_generic.c
===================================================================
---- linux-2.6.23-rc6.orig/net/sched/sch_generic.c 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/sched/sch_generic.c 2007-09-21 16:24:02.000000000 +0800
+--- linux-2.6.23.orig/net/sched/sch_generic.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/sched/sch_generic.c 2007-10-10 13:52:54.000000000 +0800
@@ -190,6 +190,11 @@
return ret;
}
diff --git a/target/linux/generic-2.6/patches-2.6.23/170-netfilter_chaostables.patch b/target/linux/generic-2.6/patches-2.6.23/170-netfilter_chaostables.patch
index ef34ae4793..1c14c13ea8 100644
--- a/target/linux/generic-2.6/patches-2.6.23/170-netfilter_chaostables.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/170-netfilter_chaostables.patch
@@ -1,17 +1,17 @@
-Index: linux-2.6.23-rc6/include/linux/netfilter/oot_conntrack.h
+Index: linux-2.6.23/include/linux/netfilter/oot_conntrack.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter/oot_conntrack.h 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter/oot_conntrack.h 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,5 @@
+#if defined(CONFIG_IP_NF_CONNTRACK) || defined(CONFIG_IP_NF_CONNTRACK_MODULE)
+# include <linux/netfilter_ipv4/ip_conntrack.h>
+#else /* linux-2.6.20+ */
+# include <net/netfilter/nf_nat_rule.h>
+#endif
-Index: linux-2.6.23-rc6/include/linux/netfilter/oot_trans.h
+Index: linux-2.6.23/include/linux/netfilter/oot_trans.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter/oot_trans.h 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter/oot_trans.h 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,14 @@
+/* Out of tree workarounds */
+#include <linux/version.h>
@@ -27,10 +27,10 @@ Index: linux-2.6.23-rc6/include/linux/netfilter/oot_trans.h
+# define tcp_v4_check(tcph, tcph_sz, s, d, csp) \
+ tcp_v4_check((tcph_sz), (s), (d), (csp))
+#endif
-Index: linux-2.6.23-rc6/include/linux/netfilter/xt_CHAOS.h
+Index: linux-2.6.23/include/linux/netfilter/xt_CHAOS.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter/xt_CHAOS.h 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter/xt_CHAOS.h 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,14 @@
+#ifndef _LINUX_XT_CHAOS_H
+#define _LINUX_XT_CHAOS_H 1
@@ -46,10 +46,10 @@ Index: linux-2.6.23-rc6/include/linux/netfilter/xt_CHAOS.h
+};
+
+#endif /* _LINUX_XT_CHAOS_H */
-Index: linux-2.6.23-rc6/include/linux/netfilter/xt_portscan.h
+Index: linux-2.6.23/include/linux/netfilter/xt_portscan.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/include/linux/netfilter/xt_portscan.h 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/include/linux/netfilter/xt_portscan.h 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,8 @@
+#ifndef _LINUX_XT_PORTSCAN_H
+#define _LINUX_XT_PORTSCAN_H 1
@@ -59,10 +59,10 @@ Index: linux-2.6.23-rc6/include/linux/netfilter/xt_portscan.h
+};
+
+#endif /* _LINUX_XT_PORTSCAN_H */
-Index: linux-2.6.23-rc6/net/netfilter/find_match.c
+Index: linux-2.6.23/net/netfilter/find_match.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/netfilter/find_match.c 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/net/netfilter/find_match.c 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,39 @@
+/*
+ xt_request_find_match
@@ -103,10 +103,10 @@ Index: linux-2.6.23-rc6/net/netfilter/find_match.c
+
+/* In case it goes into mainline, let this out-of-tree package compile */
+#define xt_request_find_match xt_request_find_match_lo
-Index: linux-2.6.23-rc6/net/netfilter/Kconfig
+Index: linux-2.6.23/net/netfilter/Kconfig
===================================================================
---- linux-2.6.23-rc6.orig/net/netfilter/Kconfig 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/netfilter/Kconfig 2007-09-21 16:24:03.000000000 +0800
+--- linux-2.6.23.orig/net/netfilter/Kconfig 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/netfilter/Kconfig 2007-10-10 13:53:04.000000000 +0800
@@ -265,6 +265,14 @@
# alphabetically ordered list of targets
@@ -152,10 +152,10 @@ Index: linux-2.6.23-rc6/net/netfilter/Kconfig
config NETFILTER_XT_MATCH_MULTIPORT
tristate "Multiple port match support"
depends on NETFILTER_XTABLES
-Index: linux-2.6.23-rc6/net/netfilter/Makefile
+Index: linux-2.6.23/net/netfilter/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/net/netfilter/Makefile 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/net/netfilter/Makefile 2007-09-21 16:24:03.000000000 +0800
+--- linux-2.6.23.orig/net/netfilter/Makefile 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/net/netfilter/Makefile 2007-10-10 13:52:59.000000000 +0800
@@ -38,8 +38,10 @@
obj-$(CONFIG_NETFILTER_XTABLES) += x_tables.o xt_tcpudp.o
@@ -175,10 +175,10 @@ Index: linux-2.6.23-rc6/net/netfilter/Makefile
obj-$(CONFIG_NETFILTER_XT_MATCH_PKTTYPE) += xt_pkttype.o
obj-$(CONFIG_NETFILTER_XT_MATCH_QUOTA) += xt_quota.o
obj-$(CONFIG_NETFILTER_XT_MATCH_REALM) += xt_realm.o
-Index: linux-2.6.23-rc6/net/netfilter/xt_CHAOS.c
+Index: linux-2.6.23/net/netfilter/xt_CHAOS.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/netfilter/xt_CHAOS.c 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/net/netfilter/xt_CHAOS.c 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,204 @@
+/*
+ CHAOS target for netfilter
@@ -384,10 +384,10 @@ Index: linux-2.6.23-rc6/net/netfilter/xt_CHAOS.c
+MODULE_DESCRIPTION("netfilter CHAOS target");
+MODULE_LICENSE("GPL");
+MODULE_ALIAS("ipt_CHAOS");
-Index: linux-2.6.23-rc6/net/netfilter/xt_DELUDE.c
+Index: linux-2.6.23/net/netfilter/xt_DELUDE.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/netfilter/xt_DELUDE.c 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/net/netfilter/xt_DELUDE.c 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,288 @@
+/*
+ DELUDE target
@@ -677,10 +677,10 @@ Index: linux-2.6.23-rc6/net/netfilter/xt_DELUDE.c
+MODULE_DESCRIPTION("netfilter DELUDE target");
+MODULE_LICENSE("GPL");
+MODULE_ALIAS("ipt_DELUDE");
-Index: linux-2.6.23-rc6/net/netfilter/xt_portscan.c
+Index: linux-2.6.23/net/netfilter/xt_portscan.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/net/netfilter/xt_portscan.c 2007-09-21 16:24:03.000000000 +0800
++++ linux-2.6.23/net/netfilter/xt_portscan.c 2007-10-10 13:52:59.000000000 +0800
@@ -0,0 +1,272 @@
+/*
+ portscan match for netfilter
@@ -954,11 +954,11 @@ Index: linux-2.6.23-rc6/net/netfilter/xt_portscan.c
+MODULE_DESCRIPTION("netfilter portscan match module");
+MODULE_LICENSE("GPL");
+MODULE_ALIAS("ipt_portscan");
-Index: linux-2.6.23-rc6/drivers/char/random.c
+Index: linux-2.6.23/drivers/char/random.c
===================================================================
---- linux-2.6.23-rc6.orig/drivers/char/random.c 2007-09-21 16:23:53.000000000 +0800
-+++ linux-2.6.23-rc6/drivers/char/random.c 2007-09-21 16:24:03.000000000 +0800
-@@ -1562,6 +1562,8 @@
+--- linux-2.6.23.orig/drivers/char/random.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/drivers/char/random.c 2007-10-10 13:52:59.000000000 +0800
+@@ -1564,6 +1564,8 @@
return seq;
}
diff --git a/target/linux/generic-2.6/patches-2.6.23/208-rtl8110sb_fix.patch b/target/linux/generic-2.6/patches-2.6.23/208-rtl8110sb_fix.patch
index cb38d987ae..9bb3f2ccc9 100644
--- a/target/linux/generic-2.6/patches-2.6.23/208-rtl8110sb_fix.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/208-rtl8110sb_fix.patch
@@ -1,7 +1,7 @@
-Index: linux-2.6.23-rc9/drivers/net/r8169.c
+Index: linux-2.6.23/drivers/net/r8169.c
===================================================================
---- linux-2.6.23-rc9.orig/drivers/net/r8169.c 2007-10-02 12:50:51.000000000 +0800
-+++ linux-2.6.23-rc9/drivers/net/r8169.c 2007-10-03 23:39:30.000000000 +0800
+--- linux-2.6.23.orig/drivers/net/r8169.c 2007-10-10 04:31:38.000000000 +0800
++++ linux-2.6.23/drivers/net/r8169.c 2007-10-10 13:53:17.000000000 +0800
@@ -1459,7 +1459,7 @@
.hw_start = rtl_hw_start_8169,
.region = 1,
@@ -29,7 +29,7 @@ Index: linux-2.6.23-rc9/drivers/net/r8169.c
RxFIFOOver | TxErr | TxOK | RxOK | RxErr,
.napi_event = RxFIFOOver | TxErr | TxOK | RxOK | RxOverflow
}
-@@ -2769,10 +2769,12 @@
+@@ -2779,10 +2779,12 @@
break;
}
diff --git a/target/linux/generic-2.6/patches-2.6.23/209-mini_fo.patch b/target/linux/generic-2.6/patches-2.6.23/209-mini_fo.patch
index 74fc061424..e99e84590b 100644
--- a/target/linux/generic-2.6/patches-2.6.23/209-mini_fo.patch
+++ b/target/linux/generic-2.6/patches-2.6.23/209-mini_fo.patch
@@ -1,8 +1,8 @@
-Index: linux-2.6.23-rc6/fs/Kconfig
+Index: linux-2.6.23/fs/Kconfig
===================================================================
---- linux-2.6.23-rc6.orig/fs/Kconfig 2007-09-21 16:23:55.000000000 +0800
-+++ linux-2.6.23-rc6/fs/Kconfig 2007-09-21 16:24:06.000000000 +0800
-@@ -461,6 +461,9 @@
+--- linux-2.6.23.orig/fs/Kconfig 2007-10-10 13:52:14.000000000 +0800
++++ linux-2.6.23/fs/Kconfig 2007-10-10 13:53:23.000000000 +0800
+@@ -458,6 +458,9 @@
This option will enlarge your kernel, but it allows debugging of
ocfs2 filesystem issues.
@@ -12,10 +12,10 @@ Index: linux-2.6.23-rc6/fs/Kconfig
config MINIX_FS
tristate "Minix fs support"
help
-Index: linux-2.6.23-rc6/fs/Makefile
+Index: linux-2.6.23/fs/Makefile
===================================================================
---- linux-2.6.23-rc6.orig/fs/Makefile 2007-09-21 16:23:55.000000000 +0800
-+++ linux-2.6.23-rc6/fs/Makefile 2007-09-21 16:24:06.000000000 +0800
+--- linux-2.6.23.orig/fs/Makefile 2007-10-10 13:52:14.000000000 +0800
++++ linux-2.6.23/fs/Makefile 2007-10-10 13:53:23.000000000 +0800
@@ -76,6 +76,7 @@
obj-$(CONFIG_RAMFS) += ramfs/
obj-$(CONFIG_HUGETLBFS) += hugetlbfs/
@@ -24,10 +24,10 @@ Index: linux-2.6.23-rc6/fs/Makefile
obj-$(CONFIG_MINIX_FS) += minix/
obj-$(CONFIG_FAT_FS) += fat/
obj-$(CONFIG_MSDOS_FS) += msdos/
-Index: linux-2.6.23-rc6/fs/mini_fo/aux.c
+Index: linux-2.6.23/fs/mini_fo/aux.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/aux.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/aux.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,577 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -606,10 +606,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/aux.c
+
+#endif /* unused */
+
-Index: linux-2.6.23-rc6/fs/mini_fo/ChangeLog
+Index: linux-2.6.23/fs/mini_fo/ChangeLog
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/ChangeLog 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/ChangeLog 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@ -892,10 +892,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/ChangeLog
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
-Index: linux-2.6.23-rc6/fs/mini_fo/dentry.c
+Index: linux-2.6.23/fs/mini_fo/dentry.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/dentry.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/dentry.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -1141,10 +1141,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/dentry.c
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
-Index: linux-2.6.23-rc6/fs/mini_fo/file.c
+Index: linux-2.6.23/fs/mini_fo/file.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/file.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/file.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,713 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -1859,10 +1859,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/file.c
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
-Index: linux-2.6.23-rc6/fs/mini_fo/fist.h
+Index: linux-2.6.23/fs/mini_fo/fist.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/fist.h 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/fist.h 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,252 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -2116,10 +2116,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/fist.h
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
-Index: linux-2.6.23-rc6/fs/mini_fo/inode.c
+Index: linux-2.6.23/fs/mini_fo/inode.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/inode.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/inode.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,1564 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -3685,10 +3685,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/inode.c
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
-Index: linux-2.6.23-rc6/fs/mini_fo/main.c
+Index: linux-2.6.23/fs/mini_fo/main.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/main.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/main.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,423 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -4113,10 +4113,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/main.c
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
-Index: linux-2.6.23-rc6/fs/mini_fo/Makefile
+Index: linux-2.6.23/fs/mini_fo/Makefile
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/Makefile 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/Makefile 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,17 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@ -4135,10 +4135,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/Makefile
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
-Index: linux-2.6.23-rc6/fs/mini_fo/meta.c
+Index: linux-2.6.23/fs/mini_fo/meta.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/meta.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/meta.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -5140,10 +5140,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/meta.c
+ return 0;
+}
+
-Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo.h
+Index: linux-2.6.23/fs/mini_fo/mini_fo.h
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/mini_fo.h 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/mini_fo.h 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,510 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -5655,10 +5655,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo.h
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
-Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo-merge
+Index: linux-2.6.23/fs/mini_fo/mini_fo-merge
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/mini_fo-merge 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/mini_fo-merge 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@ -5840,10 +5840,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo-merge
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
-Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo-overlay
+Index: linux-2.6.23/fs/mini_fo/mini_fo-overlay
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/mini_fo-overlay 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/mini_fo-overlay 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@ -5975,10 +5975,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/mini_fo-overlay
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
-Index: linux-2.6.23-rc6/fs/mini_fo/mmap.c
+Index: linux-2.6.23/fs/mini_fo/mmap.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/mmap.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/mmap.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -6617,10 +6617,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/mmap.c
+ print_exit_status(err);
+ return err;
+}
-Index: linux-2.6.23-rc6/fs/mini_fo/README
+Index: linux-2.6.23/fs/mini_fo/README
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/README 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/README 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@ -6785,10 +6785,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/README
+2 of the License, or (at your option) any later version.
+
+
-Index: linux-2.6.23-rc6/fs/mini_fo/RELEASE_NOTES
+Index: linux-2.6.23/fs/mini_fo/RELEASE_NOTES
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/RELEASE_NOTES 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/RELEASE_NOTES 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@ -6901,10 +6901,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/RELEASE_NOTES
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
-Index: linux-2.6.23-rc6/fs/mini_fo/state.c
+Index: linux-2.6.23/fs/mini_fo/state.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/state.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/state.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -7526,10 +7526,10 @@ Index: linux-2.6.23-rc6/fs/mini_fo/state.c
+ return err;
+}
+
-Index: linux-2.6.23-rc6/fs/mini_fo/super.c
+Index: linux-2.6.23/fs/mini_fo/super.c
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
-+++ linux-2.6.23-rc6/fs/mini_fo/super.c 2007-09-21 16:24:06.000000000 +0800
++++ linux-2.6.23/fs/mini_fo/super.c 2007-10-10 13:53:23.000000000 +0800
@@ -0,0 +1,281 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok